Class | YARD::CLI::Config
In: | lib/yard/cli/config.rb
Parent: | Command

CLI command to view or edit configuration options @since 0.6.2

### Methods

description new run

### Attributes

append | [RW] | @return [Boolean] whether to append values to existing key
as_list | [RW] | @return [Boolean] whether the value being set should be inside a list
key | [RW] | @return [Symbol, nil] the key to view/edit, if any
reset | [RW] | @return [Boolean] whether to reset the {key}
values | [RW] | @return [Array, nil] the list of values to set (or single value), if modifying

### Public Class methods

new()

### Public Instance methods

description()
run(*args)

[Validate]